#include <Servo.h>
Servo myservo; 

#define SERVOPIN 11
#define VOLUMEPIN A0
#define MOVINGPIN 4

int pos = 0;
int volumeM = 80;  
int state = 0;
int oldState = 0;

int srvPos = 90;

void setup() {
  myservo.attach(SERVOPIN); 

  pinMode(VOLUMEPIN, INPUT);
  pinMode(MOVINGPIN, INPUT);
  pinMode(7, OUTPUT);
  Serial.begin(9600);
}

void loop() {
  int volume = analogRead(VOLUMEPIN);
  int moving = digitalRead(MOVINGPIN);

  if (volume > 80 && moving == 1) {
    srvPos = 45;
    for (int j = 0; j < 10; ++j) {
      for (int i = 0; i < 45; ++i) {
        myservo.write(srvPos + i);
        delay(2);
      }
      for (int i = 45; i > -45; --i) {
        myservo.write(srvPos + i);
        delay(2);
      }
    }
  }

   else if (volume > 80) {
    srvPos = 135;
    for (int j = 0; j < 10; ++j){
      for (int i = 0; i < 45; ++i) {
        myservo.write(srvPos + i);
        delay(2);
      }
      for (int i = 45; i > -45; --i) {
        myservo.write(srvPos + i);
        delay(2);
      }
    }
  }

  else {
    srvPos = 90;
    for (int i = 0; i < 15; ++i) {
      myservo.write(srvPos + i);
      delay(15);
      digitalWrite(7, HIGH);
    }
    for (int i = 15; i > -15; --i) {
      myservo.write(srvPos + i);
      delay(15);
      digitalWrite(7, LOW);
    }
  }
}
